<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Chamado - {{ ticket.id }}</ion-title>
  </ion-toolbar>
</ion-header>
<ion-segment (ionChange)="segmentChanged($event)">
    <ion-segment-button checked layout="icon-start" value="chamado">
      <ion-icon name="paper"></ion-icon>
      <ion-label>Chamado</ion-label>
    </ion-segment-button>

    <ion-segment-button layout="icon-start" value="processando">
      <ion-icon name="time"></ion-icon>
      <ion-label>Processando</ion-label>
    </ion-segment-button>
  </ion-segment>

<ion-content [ngSwitch]="segment">
  <ion-grid *ngSwitchCase="'chamado'">
    <ion-row>
      <ion-col size="12">
        <ion-title no-padding>{{ ticket.name }}</ion-title><br>
        <div [innerHTML]="decode(ticket.content)"></div>
      </ion-col>
    </ion-row>
  </ion-grid>
  <div #reposta>
    <app-resposta-chamado  *ngSwitchCase="'processando'"></app-resposta-chamado>
  </div>

 
</ion-content>

<ion-footer>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" *ngIf="segment=='processando'">
    <ion-fab-button>
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>

    <ion-fab-list side="top">
      
      <ion-fab-button color="tertiary" (click)="selected('acompanhamento',ticket.id)">
        <ion-icon name="chatbubbles"></ion-icon>
      </ion-fab-button>
      <ion-label (click)="selected('acompanhamento',ticket.id)">Acompanhamento</ion-label>

      <ion-fab-button color="primary" (click)="selected('solucao',ticket.id)">
        <ion-icon name="thumbs-up"></ion-icon>
      </ion-fab-button>
      <ion-label (click)="selected('solucao',ticket.id)">Solução</ion-label>

    </ion-fab-list>
  </ion-fab>
</ion-footer>